Summary: A git GUI viewer
Name: qgit
Version: 2.5
Release: %mkrel 2
Source0: http://libre.tibirna.org/attachments/download/9/%{name}-%{version}.tar.gz
# Don't know if that patch is still needed. I rediffed it just in case.
Patch1: %{name}-2.4-fix-format.patch
License: GPL
Group: Development/Tools
Url: http://libre.tibirna.org/projects/qgit
BuildRequires: scons
BuildRequires: qt4-devel
Requires: git-core

%description
With qgit you will be able to browse revisions history, view patch content
and changed
files, graphically following different development branches.

Main features
- View revisions, diffs, files history, files annotation, archive tree.
- Commit changes visually cherry picking modified files.
- Apply or format patch series from selected commits, drag and
  drop commits between two instances of qgit.
- qgit implements a GUI for the most common StGIT commands like push/pop
  and apply/format patches. You can also create new patches or refresh
  current top one using the same semantics of git commit, i.e. cherry
  picking single modified files.

%prep
%setup -q -n redivivus
#patch1 -p1 -b .fix-format

%build
qmake %{name}.pro
%make

%install
make install INSTALL_ROOT=$RPM_BUILD_ROOT
mkdir %{buildroot}%{_bindir}
ln -s %{buildroot}%{_qt4_bindir}/qgit %{buildroot}%{_bindir}/qgit

%files
%doc README
%{_qt4_bindir}/qgit
%{_bindir}/qgit


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.5-2.mga3
+ Revision: 379830
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 malo <malo> 2.5-1.mga3
+ Revision: 299203
- update to 2.5
- fix RPM group

* Fri Sep 07 2012 malo <malo> 2.4-1.mga3
+ Revision: 289371
- update to 2.4
- remove obsolete patches

* Mon Jun 13 2011 tmb <tmb> 2.3-2.mga2
+ Revision: 105871
- fix call to git config (P2)
- drop buildroot

* Mon Jun 13 2011 tmb <tmb> 2.3-1.mga2
+ Revision: 105845
- imported package qgit

